Package Gnumed :: Package business :: Module gmDocuments :: Class cDocumentPart |
[frames] | no frames]

# Class cDocumentPart

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cDocumentPart

Represents one part of a medical document.

Instance Methods
export_to_file(self, aTempDir=None, aChunkSize=0, filename=None) | source code
get_reviews(self) | source code
get_containing_document(self) | source code
update_data_from_file(self, fname=None) | source code
set_reviewed(self, technically_abnormal=None, clinically_relevant=None) | source code
set_as_active_photograph(self) | source code
display_via_mime(self, tmpdir=None, chunksize=0, block=None) | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`